// toastr options used by content files
if(toastr){
    toastr.options = {
        "closeButton": false,
        "debug": false,
        "newestOnTop": true,
        "progressBar": true,
        "positionClass": "toast-bottom-right",
        "preventDuplicates": false,
        "onclick": null,
        "showDuration": "300",
        "hideDuration": "1000",
        "timeOut": "5000",
        "extendedTimeOut": "1000",
        "showEasing": "swing",
        "hideEasing": "linear",
        "showMethod": "fadeIn",
        "hideMethod": "fadeOut",
    };
}
console.log("toastr_opts_content.js loaded");

function randomIntFromInterval(min, max) {
    return Math.floor(Math.random() * (max - min + 1) + min);
}

// eslint-disable-next-line no-unused-vars
function getDelayInMSUsingInterval(delayBeginRange, delayEndRange) {
    return randomIntFromInterval(delayBeginRange, delayEndRange) * 1000;
}

// eslint-disable-next-line no-unused-vars
function enableSubmit() {
    // eslint-disable-next-line no-undef
    dartEnableSubmit();
}

/// for checking if an element is hidden or not
// eslint-disable-next-line no-unused-vars
function isHidden(el) {
    if(!el){
        return true;
    }
    if(typeof el != 'object'){
        return true;
    }
    var style = window.getComputedStyle(el);
    return ((style.display === 'none') || (style.visibility === 'hidden'))
}

/// for checking if an element is visible or not
// eslint-disable-next-line no-unused-vars
function isVisible(el) {
    if(!el){
        return  false;
    }
    if(typeof el != 'object'){
        return false;
    }
    return !isHidden(el);
}

// function for disabling start clicking buttons
// eslint-disable-next-line no-unused-vars
function disableSubmit() {
    // eslint-disable-next-line no-undef
    dartDisableSubmit();
}

// eslint-disable-next-line no-unused-vars
function sleep(ms) {
    // eslint-disable-next-line no-undef
    return new Promise(function (resolve) {
        setTimeout(resolve, ms);
    });
}